
package de.ivu.elect.presentation.staat.exchange;

import de.ivu.elect.business.exchange.entity.DateiExportArt;
import de.ivu.elect.business.security.UseCasePermission;
import de.ivu.elect.presentation.exchange.ExportDescription;
import de.ivu.elect.presentation.staat.menu.StaatenGruppePageMenu;

public class StaatenGruppeExportDescription implements ExportDescription {

  private static final long serialVersionUID = 1L;

  public StaatenGruppeExportDescription() {
    super();
  }

  @Override
  public String getExportSearchViewId() {
    return StaatenGruppeExportView.VIEW_ID;
  }

  @Override
  public DateiExportArt getDateiExportArt() {
    return DateiExportArt.STAATEN_GRUPPE_EXPORT;
  }

  @Override
  public UseCasePermission getUseCasePermission() {
    return UseCasePermission.STAATEN_GRUPPE_EXPORTIEREN;
  }

  @Override
  public String getPageMenuComponentName() {
    return StaatenGruppePageMenu.COMPONENT_NAME;
  }

  @Override
  public boolean isSpecificPerWahl() {
    return true;
  }

  @Override
  public boolean isSpecificPerWahltermin() {
    return false;
  }
}
